/**
 * 标准清单库数据模型
 *
 * @author CaiAoLin
 * @date 2017/8/3
 * @version
 */
import mongoose from "mongoose";

let Schema = mongoose.Schema;
let collectionName = 'std_bills_lib_lists';
let modelSchema = {
    // 自增id
    billsLibId: String,
    // 添加信息的管理员
    creator: String,
    // 创建时间
    createDate: String,
    // 名称
    billsLibName: String,
    // 编办id
    compilationId: {
        type: String,
        index: true
    },
    // 是否被删除
    deleted: Boolean,
    // 最近操作记录
    recentOpr: Schema.Types.Mixed
};

let model = mongoose.model(collectionName, new Schema(modelSchema, {versionKey: false, collection: collectionName}));
export {model as default, collectionName as collectionName};